Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface IJointDataSetDesign

All Superinterfaces:
  IBaseDataSetDesign

All Known Implementing Classes:
  JointDataSetDesign

    public interface IJointDataSetDesign

extends IBaseDataSetDesign

This interface describes the static design of a Joint Data Set.

Field Summary
`static int` | `FULL_OUTER_JOIN` The integer value stands for a full outer join operator.
`static int` | `INNER_JOIN` The integer value stands for an inner join operator.
`static int` | `LEFT_OUTER_JOIN` The integer value stands for a left outer join operator.
`static int` | `RIGHT_OUTER_JOIN` The integer value stands for a right outer join operator.

Method Summary
`java.util.List` | `getJoinConditions()` This method returns the Joint conditions.
`int` | `getJoinType()` This method returns the Joint Type.
`java.lang.String` | `getLeftDataSetDesignName()` This method returns the name of data set which servers as left operand of a joint.
`java.lang.String` | `getRightDataSetDesignName()` This method returns the name of data set which servers as right operand of a joint.

Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseDataSetDesign
`getAfterCloseScript, getAfterOpenScript, getBeforeCloseScript, getBeforeOpenScript, getCacheRowCount, getComputedColumns, getDataSourceName, getEventHandler, getFilters, getInputParamBindings, getName, getOnFetchScript, getParameters, getResultSetHints, getRowFetchLimit, needDistinctValue, setRowFetchLimit`

Field Detail

### INNER_JOIN

    static final int INNER_JOIN

  The integer value stands for an inner join operator.

  See Also:
    Constant Field Values

### LEFT_OUTER_JOIN

    static final int LEFT_OUTER_JOIN

  The integer value stands for a left outer join operator.

  See Also:
    Constant Field Values

### RIGHT_OUTER_JOIN

    static final int RIGHT_OUTER_JOIN

  The integer value stands for a right outer join operator.

  See Also:
    Constant Field Values

### FULL_OUTER_JOIN

    static final int FULL_OUTER_JOIN

  The integer value stands for a full outer join operator.

  See Also:
    Constant Field Values

Method Detail

### getLeftDataSetDesignName

    java.lang.String getLeftDataSetDesignName()

  This method returns the name of data set which servers as left operand of a joint.

  Returns:
    name of data set that servers as first oprand

### getRightDataSetDesignName

    java.lang.String getRightDataSetDesignName()

  This method returns the name of data set which servers as right operand of a joint.

  Returns:
    name of data set that servers as second oprand

### getJoinType

    int getJoinType()

  This method returns the Joint Type.

  Returns:
    the integer stands for a joint type.

### getJoinConditions

    java.util.List getJoinConditions()

  This method returns the Joint conditions. Only rows which can make these IJointConditionalExpression instance evaluate to true will be jointed.

  Returns:
    the list contains joint conditions. All the elements in the list is IJointConditionalExpression.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.